package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Helios
 * @since 2020-12-01
 */

@TableName("Z_EXPORT_TEMPLATE")
public class ExportTemplate extends Model<ExportTemplate> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 模板编码
     */
   @TableField("TEMPLATE_CODE")
   private String templateCode;
    /**
     * 模板描述
     */
   @TableField("TEMPLATE_DESC")
   private String templateDesc;
    /**
     * 下载文件名称
     */
   @TableField("FILE_NAME")
   private String fileName;
    /**
     * 表头顺序
     */
   @TableField("COLUMN_SEQUENCE")
   private Long columnSequence;
    /**
     * SQL或对象列名
     */
   @TableField("COLUMN_NAME")
   private String columnName;
    /**
     * 语言
     */
   @TableField("LANGUAGE")
   private String language;
    /**
     * Excel列名称
     */
   @TableField("COLUMN_LABEL")
   private String columnLabel;
    /**
     * 创建人
     */
   @TableField("CREATE_USER_BO")
   private String createUserBo;
    /**
     * 更新人
     */
   @TableField("UPDATE_USER_BO")
   private String updateUserBo;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 更新时间
     */
   @TableField("UPDATED_DATE_TIME")
   private LocalDateTime updatedDateTime;
    /**
     * 内容转换执行类
     */
   @TableField("CONVERT_CLASS")
   private String convertClass;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getTemplateCode() {
      return templateCode;
   }

   public void setTemplateCode(String templateCode) {
      this.templateCode = templateCode;
   }

   public String getTemplateDesc() {
      return templateDesc;
   }

   public void setTemplateDesc(String templateDesc) {
      this.templateDesc = templateDesc;
   }

   public String getFileName() {
      return fileName;
   }

   public void setFileName(String fileName) {
      this.fileName = fileName;
   }

   public Long getColumnSequence() {
      return columnSequence;
   }

   public void setColumnSequence(Long columnSequence) {
      this.columnSequence = columnSequence;
   }

   public String getColumnName() {
      return columnName;
   }

   public void setColumnName(String columnName) {
      this.columnName = columnName;
   }

   public String getLanguage() {
      return language;
   }

   public void setLanguage(String language) {
      this.language = language;
   }

   public String getColumnLabel() {
      return columnLabel;
   }

   public void setColumnLabel(String columnLabel) {
      this.columnLabel = columnLabel;
   }

   public String getCreateUserBo() {
      return createUserBo;
   }

   public void setCreateUserBo(String createUserBo) {
      this.createUserBo = createUserBo;
   }

   public String getUpdateUserBo() {
      return updateUserBo;
   }

   public void setUpdateUserBo(String updateUserBo) {
      this.updateUserBo = updateUserBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getUpdatedDateTime() {
      return updatedDateTime;
   }

   public void setUpdatedDateTime(LocalDateTime updatedDateTime) {
      this.updatedDateTime = updatedDateTime;
   }

   public String getConvertClass() {
      return convertClass;
   }

   public void setConvertClass(String convertClass) {
      this.convertClass = convertClass;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String TEMPLATE_CODE = "TEMPLATE_CODE";

public static final String TEMPLATE_DESC = "TEMPLATE_DESC";

public static final String FILE_NAME = "FILE_NAME";

public static final String COLUMN_SEQUENCE = "COLUMN_SEQUENCE";

public static final String COLUMN_NAME = "COLUMN_NAME";

public static final String LANGUAGE = "LANGUAGE";

public static final String COLUMN_LABEL = "COLUMN_LABEL";

public static final String CREATE_USER_BO = "CREATE_USER_BO";

public static final String UPDATE_USER_BO = "UPDATE_USER_BO";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String UPDATED_DATE_TIME = "UPDATED_DATE_TIME";

public static final String CONVERT_CLASS = "CONVERT_CLASS";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ExportTemplate{" +
         "handle = " + handle +
         ", site = " + site +
         ", templateCode = " + templateCode +
         ", templateDesc = " + templateDesc +
         ", fileName = " + fileName +
         ", columnSequence = " + columnSequence +
         ", columnName = " + columnName +
         ", language = " + language +
         ", columnLabel = " + columnLabel +
         ", createUserBo = " + createUserBo +
         ", updateUserBo = " + updateUserBo +
         ", createdDateTime = " + createdDateTime +
         ", updatedDateTime = " + updatedDateTime +
         ", convertClass = " + convertClass +
         "}";
   }
}